python-mpi4py_1.3.1+hg20131106-2ubuntu5_amd64.deb


Advertisement

Description

python-mpi4py - bindings of the Message Passing Interface (MPI) standard

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-mpi4py
Package version: 1.3.1+hg20131106
Package release: 2ubuntu5
Package architecture: amd64
Package type: deb
Installed size: 1.38 KB
Download size: 312.47 KB
Official Mirror: archive.ubuntu.com
MPI for Python (mpi4py) provides bindings of the Message Passing Interface (MPI) standard for the Python programming language, allowing any Python program to exploit multiple processors. mpi4py is constructed on top of the MPI-1/MPI-2 specification and provides an object oriented interface which closely follows MPI-2 C++ bindings. It supports point-to-point (sends, receives) and collective (broadcasts, scatters, gathers) communications of any picklable Python object as well as optimized communications of Python object exposing the single-segment buffer interface (NumPy arrays, builtin bytes/string/array objects).

    Download

    Source package: mpi4py

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-mpi4py deb package:
      # sudo apt-get install python-mpi4py

    Files

    • /usr/include/mpi4py
    • /usr/include/python2.7/mpi4py
    • /usr/lib/python2.7/dist-packages/mpi4py-1.3.1.egg-info
    • /usr/lib/python2.7/dist-packages/mpi4py/MPE.so
    • /usr/lib/python2.7/dist-packages/mpi4py/MPI.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/MPI.so
    • /usr/lib/python2.7/dist-packages/mpi4py/__init__.py
    • /usr/lib/python2.7/dist-packages/mpi4py/__main__.py
    • /usr/lib/python2.7/dist-packages/mpi4py/dl.so
    • /usr/lib/python2.7/dist-packages/mpi4py/libmpi.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/mpi.cfg
    • /usr/lib/python2.7/dist-packages/mpi4py/mpi_c.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/rc.py
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/MPI.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/__init__.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/__init__.pyx
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/libmpi.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi.pxi
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi4py.MPI.h
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi4py.MPI_api.h
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi4py.h
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi4py.i
    • /usr/lib/python2.7/dist-packages/mpi4py/include/mpi4py/mpi_c.pxd
    • /usr/lib/python2.7/dist-packages/mpi4py/lib-pmpi/libmpe.so
    • /usr/lib/python2.7/dist-packages/mpi4py/lib-pmpi/libvt-hyb.so
    • /usr/lib/python2.7/dist-packages/mpi4py/lib-pmpi/libvt-mpi.so
    • /usr/lib/python2.7/dist-packages/mpi4py/lib-pmpi/libvt.so
    • /usr/share/doc/python-mpi4py/README.Debian
    • /usr/share/doc/python-mpi4py/README.txt
    • /usr/share/doc/python-mpi4py/THANKS.txt
    • /usr/share/doc/python-mpi4py/TODO.Debian
    • /usr/share/doc/python-mpi4py/changelog.Debian.gz
    • /usr/share/doc/python-mpi4py/copyright

    Changelog

    2016-02-15 - Matthias Klose <doko@ubuntu.com> mpi4py (1.3.1+hg20131106-2ubuntu5) xenial; urgency=medium * Ignore test results on s390x.

    2016-02-06 - Matthias Klose <doko@ubuntu.com> mpi4py (1.3.1+hg20131106-2ubuntu4) xenial; urgency=medium * No-change rebuild for openmpi on s390x.

    2016-02-01 - Matthias Klose <doko@ubuntu.com> mpi4py (1.3.1+hg20131106-2ubuntu3) xenial; urgency=medium * No-change rebuild for openmpi transition.

    2016-01-19 - Matthias Klose <doko@ubuntu.com> mpi4py (1.3.1+hg20131106-2ubuntu2) xenial; urgency=medium * No-change rebuild to drop python3.4 support.

    2015-07-28 - Steve Langasek <steve.langasek@ubuntu.com> mpi4py (1.3.1+hg20131106-2ubuntu1) wily; urgency=medium * debian/patches/python3.5-compat: update code for python3.5 compatibility.

    2014-11-16 - Yaroslav Halchenko <debian@onerussian.com> mpi4py (1.3.1+hg20131106-2) unstable; urgency=medium * debian/rules - assure absent reliance on network via http*_proxy env var * debian/patches - up_tests_network_attr tag BaseTestSpawn tests as relying on network access and exclude them from running at pkg build time (Closes: #769801)

    2013-11-06 - Yaroslav Halchenko <debian@onerussian.com> mpi4py (1.3.1+hg20131106-1) unstable; urgency=low * Fresh upstream snapshot which includes 1.3.1 stable release * debian/rules: - get-orig-dev-source to generate snapshot tarballs out from HG * debian/rules,control: - use dh_autoreconf and rebuild Cython extensions if cython is newer than 0.19.1 - use dh_sphinxdoc (build-depends version for sphinx boosted to 1.0.7+dfsg~) and remove manual symlinking of jquery.js (Closes: #725601) * debian/control - boost policy to 3.9.4

    2013-05-09 - Yaroslav Halchenko <debian@onerussian.com> mpi4py (1.3+hg20130509-1) unstable; urgency=low * Fresh upstream snapshot: - fixes Cython 0.19 compatibility (Closes: #707314) - incorporates patches cython_version_check.patch, up_test_win_python3.3.patch)

    2013-02-20 - Yaroslav Halchenko <debian@onerussian.com> mpi4py (1.3+hg20120611-3) unstable; urgency=medium * Create a suffixed (e.g. python3.2mu) python3 directory matching the one present on the system for the given version of python3 (Closes: #700995)

    2012-10-23 - Yaroslav Halchenko <debian@onerussian.com> mpi4py (1.3+hg20120611-2) unstable; urgency=low * Cherry-picked patch from upstream for python3.3 compatibility (failing unittests) (Closes: #691244)

    Advertisement
    Advertisement